import {
  isWeixin
} from '@/common/utils/common';
import {
  webViewHref
} from '@/common/utils/navPag';
// #ifdef H5
import wx from 'weixin-js-sdk'
// #endif

// 插入样式
function loadStyleString(css) {
  var style = document.createElement("style");
  style.type = "text/css";
  try {
    style.appendChild(document.createTextNode(css));
  } catch (ex) {
    style.styleSheet.cssText = css;
  }
  var head = document.getElementsByTagName('head')[0];
  head.appendChild(style);
}

// 存放页面公用数据、方法...
export default {
  mounted() {
    if (isWeixin()) {
      // 去除顶部
      var uni_page_head = document.querySelector("uni-page-head[uni-page-head-type='default']")
      if (uni_page_head) {
        uni_page_head.remove()
      }
      // 去除底部
      var uni_tabbar_bottom = document.getElementsByClassName("uni-tabbar-bottom")
      if (uni_tabbar_bottom.length) {
        uni_tabbar_bottom[0].remove()
        var uni_page_wrapper = document.getElementsByTagName("uni-page-wrapper")
        if (uni_page_wrapper.length) {
          loadStyleString(
            "uni-page-wrapper{height: calc(100% - env(safe-area-inset-bottom)) !important} uni-page-wrapper::after{height: env(safe-area-inset-bottom) !important}"
          );
        }
      }
    }
  },
  methods: {
    webViewHref: webViewHref,
  }
}